# CreateSend Wrapper

This is a wrapper for Campaign Monitors CreateSend API v3.

## Installation

<pre>npm install createsend</pre>

.. or add submodule

<pre>git submodule add http://github.com/incatern/node-createsend.git vendor/node-createsend</pre>

## Testing

Checkout the most recent version from the repository then create your test data file.

<pre>cp test/test_data_sample test/test_data</pre>

Then using your favorite text editor, fill in your account details. It is recommended that you create a client specifically for testing purposes.

### Fields to change

* api_key
* test_client (new lists, campaigns, and subscribers will be added to this client)

### Running tests

All tests are written in [vows][http://vowsjs.org/]. To run all tests, from the project directory:

<pre>vows test/*.test.js --spec</pre>

Note: *clients_create.test.js* will create a new client, modify it's details, then delete it.

## Progress

### Completed

* Account
* Clients

### Roadmap
* Subscribers
* Lists
* Segments
* Templates
* Webhooks

## License

(The MIT License)

Copyright (c) 2011 Jake Luer

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.